org.modeshape.jcr.query

## Class IndexRules.SkipRule

- java.lang.Object
- - org.modeshape.jcr.query.IndexRules.SkipRule

- All Implemented Interfaces:
    IndexRules.Rule
  Enclosing class:
    IndexRules

      @Immutable
      protected static class IndexRules.SkipRule
      extends Object
      implements IndexRules.Rule

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexRules.SkipRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBeReference()`
    `org.apache.lucene.document.Field.Index` | `getIndexOption()`
    `org.apache.lucene.document.Field.Store` | `getStoreOption()`
    `IndexRules.FieldType` | `getType()`
    `boolean` | `isFullTextSearchable()`
    `boolean` | `isSkipped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexRules.SkipRule

          protected IndexRules.SkipRule()

  - ### Method Detail

    - #### getType

          public IndexRules.FieldType getType()

      Specified by:
        `getType` in interface `IndexRules.Rule`

    - #### isSkipped

          public boolean isSkipped()

      Specified by:
        `isSkipped` in interface `IndexRules.Rule`

    - #### isFullTextSearchable

          public boolean isFullTextSearchable()

      Specified by:
        `isFullTextSearchable` in interface `IndexRules.Rule`

    - #### canBeReference

          public boolean canBeReference()

      Specified by:
        `canBeReference` in interface `IndexRules.Rule`

    - #### getIndexOption

          public org.apache.lucene.document.Field.Index getIndexOption()

      Specified by:
        `getIndexOption` in interface `IndexRules.Rule`

    - #### getStoreOption

          public org.apache.lucene.document.Field.Store getStoreOption()

      Specified by:
        `getStoreOption` in interface `IndexRules.Rule`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.